Bug 1589265 - [RFE][v2v] V2V should differentiate whether logs are moved or not generated
Summary: [RFE][v2v] V2V should differentiate whether logs are moved or not generated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-06-08 14:45 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:03 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:07 UTC
Category: Bug
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (52.12 KB, image/png)
2018-12-13 14:23 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ miq_v2v_ui_plugin issues 478 None None None 2018-07-10 14:14:30 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:23 UTC

Description Yadnyawalk Tale 2018-06-08 14:45:18 UTC
Description of problem:
This is more of usability issue. V2V should differentiate whether logs are moved or not generated 

Sometime failed migration do not generate logs but while `clicking on download logs` of details page error screen shows `The location of transformation log was not set. Download of transformation log aborted`. This is somehow confusing since `transformation log location is set`. We should show error with lines which differentiate whether logs are moved from transformation log directory or not generated yet.

Version-Release number of selected component (if applicable):
5.9.3.1.20180606184006_8d120c0

Comment 2 Sudhir Mallamprabhakara 2018-07-03 14:54:24 UTC
Can you check it in 5.9.3.4?

Comment 3 Yadnyawalk Tale 2018-07-04 11:48:31 UTC
If migration succeeds and log is created but moved, then getting following error.

`Failed to download "ytale-v2v-4-win10.log". Reason - "SCP did not finish successfully (1): scp: /var/log/vdsm/import/v2v-import-20180704T063253-126596.log: No such file or directory "`

and if migration fails and log is not get created, getting following error

`Failed to download "ytale-v2v-4-win10.log". Reason - "Conversion host was not found: ID []. Cannot queue the download of transformation log."`


Should be more specific as per description.
Checked on 5.9.3.4.

Comment 4 Sudhir Mallamprabhakara 2018-07-05 15:18:01 UTC
As per https://bugzilla.redhat.com/show_bug.cgi?id=1589265#c3, maybe display a more meaningful message based on the scenario.

Comment 6 Brett Thurber 2018-07-09 05:54:08 UTC
Please create an upstream issue for this BZ.

Comment 7 Yadnyawalk Tale 2018-07-10 14:14:31 UTC
@Brett, created upstream issue - https://github.com/ManageIQ/miq_v2v_ui_plugin/issues/478
Added issue into external tracker.

Comment 8 CFME Bot 2018-10-16 13:50:23 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/848437460e67f45eb99e96ada44b44f034e995f0
commit 848437460e67f45eb99e96ada44b44f034e995f0
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Mon Oct 15 16:29:04 2018 -0400
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Mon Oct 15 16:29:04 2018 -0400

    Merge pull request #706 from AparnaKarve/disable_log_button_until_logfile_available

    Keep the Download Log button disabled until v2v log is available

    (cherry picked from commit 5464d9929c5eb38355a8a22e53845b002c9f45a8)

    https://bugzilla.redhat.com/show_bug.cgi?id=1589265

 app/javascript/react/screens/App/Plan/components/PlanRequestDetailList/PlanRequestDetailList.js | 27 +-
 app/javascript/react/screens/App/Plan/helpers.js | 3 +-
 2 files changed, 15 insertions(+), 15 deletions(-)

Comment 10 Brett Thurber 2018-12-10 16:45:37 UTC
Actual PR for this feature:  https://github.com/ManageIQ/manageiq-v2v/pull/706

Comment 11 Yadnyawalk Tale 2018-12-13 14:23:10 UTC
Created attachment 1514072 [details]
fixed_proof.png

We had discussion on this already https://github.com/ManageIQ/manageiq-v2v/issues/478#issuecomment-429139673,
Now when it do not find file on conversion host, we get msg like -

Failed to download "65ytale-mini7-001.log". Reason - "Could not get conversion log '/var/log/vdsm/import/v2v-import-20181213T084746-25838.log' from 'url' with [RuntimeError: open /var/log/vdsm/import/v2v-import-20181213T084746-25838.log: no such file (2)"

When log not get generated, download log button get disabled.
Verified on - 5.10.0.28.20181204160308_aa3b074

Comment 12 errata-xmlrpc 2019-02-07 23:03:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.